Design Museum Gent API
Home
Developers
Policy
Github
Swagger
Home
Developers
Policy
Github
Swagger
  • Overview
  • DCAT
  • Overview
  • Object
  • Objects
  • Exhibition
  • Exhibitions
  • Agent
  • Agents
  • Concept
  • Concepts
  • Colors
  • Types
  • Nationalities
  • Materials

Nationalities

Info

The nationality index lists all nationalities present in the agent records with agent counts. Use it to populate a nationality filter without hardcoding values.

endpoint:

GET https://data.designmuseumgent.be/v2/id/nationalities
CodeDescription
200Successful request
500Server error

Response fields

FieldDescriptionExample
rdfs:labelDutch country name"België"
agent_countNumber of agents with this nationality312
filterReady-to-use filter URL for the agents collection...?nationality=België

Results are sorted by agent_count descending.

Using the nationality index

// fetch all nationalities
const index = await fetch('https://data.designmuseumgent.be/v2/id/nationalities').then(r => r.json())

// use the filter URL directly
const belgianAgents = await fetch(
    index["hydra:member"].find(n => n["rdfs:label"] === "België").filter
).then(r => r.json())

Example response

{
    "@context": {
        "crm": "http://www.cidoc-crm.org/cidoc-crm/",
        "rdfs": "http://www.w3.org/2000/01/rdf-schema#",
        "hydra": "http://www.w3.org/ns/hydra/core#"
    },
    "@id": "https://data.designmuseumgent.be/v2/id/nationalities",
    "@type": "hydra:Collection",
    "rdfs:label": "Nationality index",
    "hydra:totalItems": 42,
    "hydra:member": [
        {
            "@type": "crm:E55_Type",
            "rdfs:label": "België",
            "agent_count": 312,
            "filter": "https://data.designmuseumgent.be/v2/id/agents?nationality=Belgi%C3%AB"
        },
        {
            "@type": "crm:E55_Type",
            "rdfs:label": "Nederland",
            "agent_count": 187,
            "filter": "https://data.designmuseumgent.be/v2/id/agents?nationality=Nederland"
        },
        {
            "@type": "crm:E55_Type",
            "rdfs:label": "Italië",
            "agent_count": 143,
            "filter": "https://data.designmuseumgent.be/v2/id/agents?nationality=Itali%C3%AB"
        }
    ]
}
Last Updated:: 5/19/26, 12:28 PM
Contributors: Olivier.VanD'huynslager
Prev
Types
Next
Materials